# GFILTER.CTL
#
# format:  overfield# flags matchstring
#
# overfield#	#	A number, overview field number to compare
#			against (see below)
#
# flags:	l	log overview data
#		f	log full article
#		d	delete associated article(s) from spool
#		n#	matching logic is disable if article posted
#			to less then # newsgroups.
#		s#	matching logic is disabled if article is smaller
#			then the specified size, in bytes.
#
# matchstring:	strng	A simple string, which may contain spaces,
#			tabs, or whatever.  Terminated by a newline.
#			If the case-dependant string matches any
#			substring in the overview field for the
#			article, a match occurs and the action
#			specified by the flags is taken.
#
# Overview field numbering comes from the .overview file format.
# The default INN numbering, which INN retrieves from 'overview.fmt',
# is shown below.  Field #1 is special in that it represents the
# relative article path for each copy of the article in the newsspool.
# Normally you match against strings like 'alt/is/', NOT 'alt.is'.
# This can be combined with the 'n' flag to delete articles that have
# been cross posted to a particular newsgroup AND MANY OTHERS (i.e.
# a large cross posting).  If you match against '/', you can effectively
# delete any article cross posted to >= N newsgroups.
#
#	(pathlist)	1
#	Subject:	2
#	From:		3
#	Date:		4
#	Message-ID:	5
#	References:	6
#	Bytes:		7
#	Lines:		8
#	##  Some newsreaders get better performance if Xref is present
#	Xref:full	9	(note: not always configured in INN)
#
# WARNING: a substring search is used, make sure your matching patterns
# are explicit enough.  This is a simple substring, NO wildcards may be used.
#
# INITIAL TESTING:  To test that the filter is working
# properly, I suggest you temporarily create an entry:
#
# 2	lf	Re:
#
# in your gfilter.ctl file.  If you get a whole bunch of junk in the 
# gfilter logs, then it's working.  Then I suggest removing the test
# entry :-).  Be sure to restart the filter whenever you make a control
# change by killing it and then doing a 'ctlinnd begin gfilter'
#
# EXAMPLE:

# Disable a certain person neither I or my users care to listen to.
#

3	lfd	@manus.org
3	lfd	drg@netcom.com
3	lfd	.manus.org>
3	lfd	drg@pgh.
3	lfd	<manus@telerama.lm.com>

# This will remove any article that has been posted to 2 or more news
# groups where one of the groups is alt.is(.*)
#
1	lfdn2	alt/is/

# Delete any warez postings from netcom exceeding 200K
#
# 5	lds200000	netcom.com

